aboutsummaryrefslogtreecommitdiffstats
path: root/test/func/testaafimport.sh
diff options
context:
space:
mode:
authorManjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>2018-09-28 16:15:07 -0700
committerManjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>2018-10-10 07:57:07 -0700
commitda77b64fa22f30ccdfa18984c28d5054f89723b4 (patch)
tree69b220dc1a7d8ef6fec86a19b517cc03e3e8e7fc /test/func/testaafimport.sh
parentc73fe640cbe1e7a0aef0cdfcabe3759544f21ca4 (diff)
func test framework and tests for sshsm
This patch adds test framework and tests for TPM based CA key protection import and signing. Change-Id: I7bdd602f7275dd8613faeced11aad6c09a8aab52 Issue-ID: AAF-527 Signed-off-by: Manjunath Ranganathaiah <manjunath.ranganathaiah@intel.com>
Diffstat (limited to 'test/func/testaafimport.sh')
-rwxr-xr-xtest/func/testaafimport.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/test/func/testaafimport.sh b/test/func/testaafimport.sh
new file mode 100755
index 0000000..ee8895d
--- /dev/null
+++ b/test/func/testaafimport.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# Copyright 2018 Intel Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+CASERVICE_DATA="$(pwd)/data/caservice"
+
+echo -n "aaf_cm container ca key import: "
+docker run -v $CASERVICE_DATA/host_testnode:/tmp/files \
+ -v /tmp/run/dbus:/var/run/dbus:rw \
+ -v $CASERVICE_DATA/local:/opt/app/osaaf/local \
+ --entrypoint /sshsm/bin/import.sh \
+ --name aafca nexus3.onap.org:10001/onap/aaf/aaf_cm >& runaafca.log
+grep -q "swKeyImport success: 0x0 !" runaafca.log
+if [ "$?" -eq 0 ]; then
+ echo Success
+ rm -f runaafca.log
+else
+ grep -q "Created certificate:" runaafca.log
+ if [ "$?" -eq 0 ]; then
+ echo Success
+ rm -f runaafca.log
+ else
+ echo Failed
+ exit 1
+ fi
+fi